// 去除前后空格
export var empty = function empty() {
  var str = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  return str.replace(/^\s+|\s+$/g, '');
};

// 去除所有空格
export var emptyAll = function emptyAll() {
  var str = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  return str.replace(/\s/g, '');
};

// 是否包含英文
export var includeEn = function includeEn() {
  var str = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  return str.search(/[a-zA-Z]+/) > -1;
};

// 是否为对象
export var isObject = function isObject(str) {
  return Object.prototype.toString.call(str) === '[object Object]';
};

// 是否为数组
export var isArray = function isArray(str) {
  return Object.prototype.toString.call(str) === '[object Array]';
};